Import a board from CSV
curl --request POST \
--url https://bhokan.com/api/v1/imports/csv/boards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspacePublicId": "<string>",
"boardName": "<string>",
"rows": [
[
"<string>"
]
],
"mapping": {
"title": 100,
"description": 100,
"list": 100,
"labels": 100,
"dueDate": 100,
"assignee": 100,
"checklist": 100,
"checklistName": 100,
"board": 100
},
"defaultListName": "Imported"
}
'import requests
url = "https://bhokan.com/api/v1/imports/csv/boards"
payload = {
"workspacePublicId": "<string>",
"boardName": "<string>",
"rows": [["<string>"]],
"mapping": {
"title": 100,
"description": 100,
"list": 100,
"labels": 100,
"dueDate": 100,
"assignee": 100,
"checklist": 100,
"checklistName": 100,
"board": 100
},
"defaultListName": "Imported"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspacePublicId: '<string>',
boardName: '<string>',
rows: [['<string>']],
mapping: {
title: 100,
description: 100,
list: 100,
labels: 100,
dueDate: 100,
assignee: 100,
checklist: 100,
checklistName: 100,
board: 100
},
defaultListName: 'Imported'
})
};
fetch('https://bhokan.com/api/v1/imports/csv/boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bhokan.com/api/v1/imports/csv/boards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspacePublicId' => '<string>',
'boardName' => '<string>',
'rows' => [
[
'<string>'
]
],
'mapping' => [
'title' => 100,
'description' => 100,
'list' => 100,
'labels' => 100,
'dueDate' => 100,
'assignee' => 100,
'checklist' => 100,
'checklistName' => 100,
'board' => 100
],
'defaultListName' => 'Imported'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://bhokan.com/api/v1/imports/csv/boards"
payload := strings.NewReader("{\n \"workspacePublicId\": \"<string>\",\n \"boardName\": \"<string>\",\n \"rows\": [\n [\n \"<string>\"\n ]\n ],\n \"mapping\": {\n \"title\": 100,\n \"description\": 100,\n \"list\": 100,\n \"labels\": 100,\n \"dueDate\": 100,\n \"assignee\": 100,\n \"checklist\": 100,\n \"checklistName\": 100,\n \"board\": 100\n },\n \"defaultListName\": \"Imported\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://bhokan.com/api/v1/imports/csv/boards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspacePublicId\": \"<string>\",\n \"boardName\": \"<string>\",\n \"rows\": [\n [\n \"<string>\"\n ]\n ],\n \"mapping\": {\n \"title\": 100,\n \"description\": 100,\n \"list\": 100,\n \"labels\": 100,\n \"dueDate\": 100,\n \"assignee\": 100,\n \"checklist\": 100,\n \"checklistName\": 100,\n \"board\": 100\n },\n \"defaultListName\": \"Imported\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://bhokan.com/api/v1/imports/csv/boards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspacePublicId\": \"<string>\",\n \"boardName\": \"<string>\",\n \"rows\": [\n [\n \"<string>\"\n ]\n ],\n \"mapping\": {\n \"title\": 100,\n \"description\": 100,\n \"list\": 100,\n \"labels\": 100,\n \"dueDate\": 100,\n \"assignee\": 100,\n \"checklist\": 100,\n \"checklistName\": 100,\n \"board\": 100\n },\n \"defaultListName\": \"Imported\"\n}"
response = http.request(request)
puts response.read_body{
"boardsCreated": 123,
"listsCreated": 123,
"cardsCreated": 123,
"labelsCreated": 123,
"checklistItemsCreated": 123,
"cardsAssigned": 123,
"unmatchedAssignees": [
"<string>"
],
"skippedRows": [
{
"rowNumber": 123,
"reason": "emptyRow",
"value": "<string>"
}
],
"warnings": [
{
"rowNumber": 123,
"reason": "emptyRow",
"value": "<string>"
}
],
"boardPublicId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Imports
Import a board from CSV
Creates boards, lists and cards from parsed CSV rows and a column mapping
POST
/
imports
/
csv
/
boards
Import a board from CSV
curl --request POST \
--url https://bhokan.com/api/v1/imports/csv/boards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspacePublicId": "<string>",
"boardName": "<string>",
"rows": [
[
"<string>"
]
],
"mapping": {
"title": 100,
"description": 100,
"list": 100,
"labels": 100,
"dueDate": 100,
"assignee": 100,
"checklist": 100,
"checklistName": 100,
"board": 100
},
"defaultListName": "Imported"
}
'import requests
url = "https://bhokan.com/api/v1/imports/csv/boards"
payload = {
"workspacePublicId": "<string>",
"boardName": "<string>",
"rows": [["<string>"]],
"mapping": {
"title": 100,
"description": 100,
"list": 100,
"labels": 100,
"dueDate": 100,
"assignee": 100,
"checklist": 100,
"checklistName": 100,
"board": 100
},
"defaultListName": "Imported"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspacePublicId: '<string>',
boardName: '<string>',
rows: [['<string>']],
mapping: {
title: 100,
description: 100,
list: 100,
labels: 100,
dueDate: 100,
assignee: 100,
checklist: 100,
checklistName: 100,
board: 100
},
defaultListName: 'Imported'
})
};
fetch('https://bhokan.com/api/v1/imports/csv/boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bhokan.com/api/v1/imports/csv/boards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspacePublicId' => '<string>',
'boardName' => '<string>',
'rows' => [
[
'<string>'
]
],
'mapping' => [
'title' => 100,
'description' => 100,
'list' => 100,
'labels' => 100,
'dueDate' => 100,
'assignee' => 100,
'checklist' => 100,
'checklistName' => 100,
'board' => 100
],
'defaultListName' => 'Imported'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://bhokan.com/api/v1/imports/csv/boards"
payload := strings.NewReader("{\n \"workspacePublicId\": \"<string>\",\n \"boardName\": \"<string>\",\n \"rows\": [\n [\n \"<string>\"\n ]\n ],\n \"mapping\": {\n \"title\": 100,\n \"description\": 100,\n \"list\": 100,\n \"labels\": 100,\n \"dueDate\": 100,\n \"assignee\": 100,\n \"checklist\": 100,\n \"checklistName\": 100,\n \"board\": 100\n },\n \"defaultListName\": \"Imported\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://bhokan.com/api/v1/imports/csv/boards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspacePublicId\": \"<string>\",\n \"boardName\": \"<string>\",\n \"rows\": [\n [\n \"<string>\"\n ]\n ],\n \"mapping\": {\n \"title\": 100,\n \"description\": 100,\n \"list\": 100,\n \"labels\": 100,\n \"dueDate\": 100,\n \"assignee\": 100,\n \"checklist\": 100,\n \"checklistName\": 100,\n \"board\": 100\n },\n \"defaultListName\": \"Imported\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://bhokan.com/api/v1/imports/csv/boards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspacePublicId\": \"<string>\",\n \"boardName\": \"<string>\",\n \"rows\": [\n [\n \"<string>\"\n ]\n ],\n \"mapping\": {\n \"title\": 100,\n \"description\": 100,\n \"list\": 100,\n \"labels\": 100,\n \"dueDate\": 100,\n \"assignee\": 100,\n \"checklist\": 100,\n \"checklistName\": 100,\n \"board\": 100\n },\n \"defaultListName\": \"Imported\"\n}"
response = http.request(request)
puts response.read_body{
"boardsCreated": 123,
"listsCreated": 123,
"cardsCreated": 123,
"labelsCreated": 123,
"checklistItemsCreated": 123,
"cardsAssigned": 123,
"unmatchedAssignees": [
"<string>"
],
"skippedRows": [
{
"rowNumber": 123,
"reason": "emptyRow",
"value": "<string>"
}
],
"warnings": [
{
"rowNumber": 123,
"reason": "emptyRow",
"value": "<string>"
}
],
"boardPublicId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
12Required string length:
1 - 255Required array length:
1 - 2000 elementsMaximum array length:
200Maximum string length:
20000Show child attributes
Show child attributes
Required string length:
1 - 255Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes